<%-- 
    Document   : exportarDisponibilidad
    Created on : 06/12/2014, 08:42:21 AM
    Author     : sistem16user
--%>

<%@page import="java.util.Calendar"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%      
        
        

%>   
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
    <% 
        Calendar cal1 = Calendar.getInstance();
        

        int año = cal1.get(Calendar.YEAR);
        
        int mesing = 2;
        int mes = mesing-1;
        int dias = 0;
        int dia = 0;
        String nombreDia = "";
        //int año = 2015; 
        
        if(mes==0 || mes==2 || mes==4 || mes==6 || mes==7 || mes==9 || mes==11){
            dias = 31;
        }else if(mes==3 || mes==5 || mes==8 || mes==10){
            dias = 30;
        }else{
            if ( ((año%100 == 0) && (año%400 == 0)) || ((año%100 != 0) && (año%  4 == 0))   ){
                dias = 29;
            }else{
                dias = 28;
            }
        }
        
        %>
        <SELECT >
            
        
        <%
        for(int i=1;i<=dias;i++){
            cal1.set(año,mes,i);
            dia = cal1.get(Calendar.DAY_OF_WEEK);
            switch (dia) {
                case 1: nombreDia="Domingo"; break;
                case 2: nombreDia="Lunes"; break;
                case 3: nombreDia="Martes"; break;
                case 4: nombreDia="Miercoles"; break;
                case 5: nombreDia="Jueves"; break;
                case 6: nombreDia="Viernes"; break;
                case 7: nombreDia="Sabado"; break;
            }
            if(dia>1){
                %>
                <option value="<%=i%>"><%=nombreDia+" "+i%></option>
                <%
            }else{
                %>
                <option value=" ">------------</option>
                <%
            }
            
        }
        %>
        </SELECT>
            
        <%
        
        
         //La hora no me interesa y recuerda que los meses van de 0 a 11
        
        
        
    
    
    
    %>
    
    <%=dia%>
    
    
    </body>
</html>
